티켓 메모 수정

지정한 티켓의 메모를 수정합니다. 메모를 삭제하려면 티켓 메모 삭제 API를 사용합니다.

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

PUT /api/sonar/tickets/:ticket_guid/comments/:guid
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     -d 'format=MARKDOWN' \
     -d 'content=* DDoS 대응으로 IP 차단 완료' \
     -X PUT \
     https://HOSTNAME/api/sonar/tickets/638cfeb2-e259-46af-961a-1eeb65ea35f0/comments/08ee89f1-630f-4b24-b6b2-e0c88c5f3003
요청 매개변수
경로 매개변수
타입설명비고
ticket_guid문자열티켓 GUID36자
guid문자열메모 GUID36자
요청 본문 매개변수
필수타입설명비고
formatO문자열내용 형식PLAIN, JSON, MARKDOWN 중 하나
contentO문자열메모 내용

정상 응답

{}

오류 응답

guid가 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
유효하지 않은 형식을 지정한 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "format should be one of PLAIN, MARKDOWN, JSON."
}
티켓이 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "ticket not found: 638cfeb2-e259-46af-961a-1eeb65ea35f0"
}
메모가 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "ticket comment not found: 08ee89f1-630f-4b24-b6b2-e0c88c5f3003"
}
권한이 없는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}